import WUPSwitchControl from "./switch";
declare const tagName = "wup-check";
declare global {
    namespace WUP.Check {
        interface EventMap extends WUP.Switch.EventMap {
        }
        interface ValidityMap extends WUP.Switch.ValidityMap {
        }
        interface Defaults<T = boolean, VM = ValidityMap> extends WUP.BaseControl.Defaults<T, VM> {
        }
        interface Options<T = boolean, VM = ValidityMap> extends WUP.Switch.Options<T, VM>, Defaults<T, VM> {
        }
        interface Attributes extends WUP.Switch.Attributes {
        }
        interface JSXProps<C = WUPCheckControl> extends WUP.Switch.JSXProps<C>, Attributes {
        }
    }
    interface HTMLElementTagNameMap {
        [tagName]: WUPCheckControl;
    }
    namespace JSX {
        interface IntrinsicElements {
            [tagName]: WUP.Check.JSXProps;
        }
    }
}
/** Form-control with checkbox
 * @example
  const el = document.createElement("wup-check");
  el.$options.name = "accepted";
  el.$options.label = "Accept";
  el.$initValue = false;
  const form = document.body.appendChild(document.createElement("wup-form"));
  form.appendChild(el);
  // or HTML
  <wup-form>
    <wup-check name="accepted" label="Accept" initvalue="false"/>
  </wup-form>;
 * @tutorial innerHTML @example
 * <label>
 *   <span> // extra span requires to use with icons via label:before, label:after without adjustments
 *      <input/>
 *      <strong>{$options.label}</strong>
 *      <span></span> // this icon
 *   </span>
 * </label>
 */
export default class WUPCheckControl<EventMap extends WUP.Check.EventMap = WUP.Check.EventMap> extends WUPSwitchControl<EventMap> {
    #private;
    static get $styleRoot(): string;
    static get $style(): string;
    static $defaults: WUP.Check.Defaults;
    $options: WUP.Check.Options;
    protected _opts: WUP.Check.Options<boolean, WUP.Check.ValidityMap>;
}
export {};
