/** Apply el.addEventListener and return el.removeEventListener function; use passive:true by default; */
export default function onEvent(element, type, listener, options) {
    const remove = () => element.removeEventListener(type, wrapper);
    function wrapper(e) {
        listener.call(element, e);
        options?.once && remove();
    }
    element.addEventListener(type, wrapper, typeof options !== "boolean" ? { passive: true, ...options } : options);
    return remove;
}
