export var ShowCases;
(function (ShowCases) {
    /** Show when it's added to document; to hide call $hide() (outsideClick event can be helpful) */
    ShowCases[ShowCases["always"] = 0] = "always";
    /** On mouseEnter event of target; hide by mouseLeave; if popup shown by mouseEnter it can'be closed by click (onHover partially suppress onClick case)  */
    ShowCases[ShowCases["onHover"] = 1] = "onHover";
    /** On focusIn event of target; hide by focusOut (also on click if PopupShowCases.onClick included) */
    ShowCases[ShowCases["onFocus"] = 2] = "onFocus";
    /** On click event of target; hide by click anywhere */
    ShowCases[ShowCases["onClick"] = 4] = "onClick";
})(ShowCases || (ShowCases = {}));
export var HideCases;
(function (HideCases) {
    /** When $hide() is called programmatically */
    HideCases[HideCases["onManuallCall"] = 0] = "onManuallCall";
    HideCases[HideCases["onMouseLeave"] = 1] = "onMouseLeave";
    HideCases[HideCases["onFocusOut"] = 2] = "onFocusOut";
    HideCases[HideCases["onOutsideClick"] = 3] = "onOutsideClick";
    HideCases[HideCases["onPopupClick"] = 4] = "onPopupClick";
    HideCases[HideCases["onTargetClick"] = 5] = "onTargetClick";
    /** When target removed from document */
    HideCases[HideCases["onTargetRemove"] = 6] = "onTargetRemove";
    /** When options or attributes changes */
    HideCases[HideCases["onOptionChange"] = 7] = "onOptionChange";
})(HideCases || (HideCases = {}));
export var Animations;
(function (Animations) {
    /** Via opacity */
    Animations[Animations["default"] = 0] = "default";
    /** Dropdown/drawer animation. It's implemented via JS */
    Animations[Animations["drawer"] = 1] = "drawer";
})(Animations || (Animations = {}));
// export {}; // https://www.typescriptlang.org/docs/handbook/declaration-files/templates/global-modifying-module-d-ts.html
